/* Copyright IBM Corp. 2010  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.ac.VirtualResourceType");

/**
 * Interface defining predefined virtual resources
 * @ibm-spi
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.ac.VirtualResourceType", null, {
    /**
     * Constant for a virtual resource defining the overall root
     * @type {com.ibm.mashups.enabler.ac.VirtualResourceType}
     */
    ROOT: "wps.PORTAL",
    
    /**
     * Constant for a virtual resource defining templates
     * @type {com.ibm.mashups.enabler.ac.VirtualResourceType}
     */
    TEMPLATE: "wps.TEMPLATE_DEPLOYMENT",
    
    /**
     * Constant for a virtual resource defining spaces
     * @type {com.ibm.mashups.enabler.ac.VirtualResourceType}
     */
    SPACE: "wps.APPLICATION_ENTITIES"

});
com.ibm.mashups.enabler.ac.VirtualResourceType = new com.ibm.mashups.enabler.ac.VirtualResourceType();
