/* Copyright IBM Corp. 2010  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.layouttemplate.Factory");

//<INTERFACE>
/**
 * LayoutTemplate model factory.
 * 
 * Please note that the model factory creates only one instance of the model and
 * returns this instance every time the respective get-method is called.
 *
 * @ibm-api
 * @ibm-module LayoutTemplateModel
 * @since 2.4
 */
dojo.declare("com.ibm.mashups.enabler.layouttemplate.Factory", null, {
    /**
     * Returns the layout template model.
     *
     * @return {com.ibm.mashups.enabler.layouttemplate.LayoutTemplateModel} layouttemplate model, never <code>null</code>
     */
    getTemplateModel: function(){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.layouttemplate.Factory");
