/* Copyright IBM Corp. 2010  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.layouttemplate.LayoutTemplate");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.Identifiable");
dojo.require("com.ibm.mashups.enabler.ModifiableLocalized");
dojo.require("com.ibm.mashups.enabler.ModifiableMetaData");
dojo.require("com.ibm.mashups.enabler.TimeStamped");

/**
 * Interface representing a layout template node.
 *
 * @ibm-api
 * @ibm-module LayoutTemplateModel
 */
dojo.declare("com.ibm.mashups.enabler.layouttemplate.LayoutTemplate", [com.ibm.mashups.enabler.Identifiable, com.ibm.mashups.enabler.ModifiableLocalized, com.ibm.mashups.enabler.ModifiableMetaData, com.ibm.mashups.enabler.TimeStamped], {

    /**
     * Returns the URL of the layout template.
     * @return {String} the base URL
     */
    getURL: function(){
    
    },
    
    /**
     * Returns the URL of the head file of this layout template.
     * @return {String} the layout template URL
     */
    getHeadURL: function(){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.layouttemplate.LayoutTemplate");
