/* Copyright IBM Corp. 2010  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.services.ConfigObject");

//<INTERFACE>
/**
 * The Config Object allows to access config variables as defined by the system.
 * for a specific config provider.
 * @ibm-spi
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.services.ConfigObject", null, {
    /**
     * This method returns the value of the config variable as defined by the system
     * @param {String} name the name of the config variable
     * @return {String} the value of the config variable. Maybe be NULL.
     */
    getValue: function(name) {
        return null;
    },
	
	/**
     * This method returns the value of the config variable as defined by the system in a async way
     * @param {String} name the name of the config variable
     * @return {com.ibm.mashups.enabler.Deferred} a deferred object used to start this operation. The return value
     * when executed through the deferred object is the value of the config variable. Maybe be NULL
     */
	getValueDeferred: function(name) {
        return null;
    }
	
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.services.ConfigObjectDefaultImpl");
