/* Copyright IBM Corp. 2010  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.user.Factory");

dojo.require("com.ibm.mashups.enabler.model.UserModel");
//<INTERFACE>
/**
 * User model factory.
 * 
 * Please note that the model factory creates only one instance of the model and
 * returns this instance every time the respective get-method is called.
 * 
 * @ibm-api
 * @ibm-module UserModel
 * 
 * @since 2.4
 */
dojo.declare("com.ibm.mashups.enabler.user.Factory", null, {
	/**
	 * Returns the user model.
	 *
	 * @return {com.ibm.mashups.enabler.user.UserModel} user model, never <code>null</code>
	 */
	getUserModel : function() {
	}
});
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.user.FactoryImpl");
