/* Copyright IBM Corp. 2010  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.widget.WidgetDefinition");

dojo.require("com.ibm.mashups.enabler.Identifiable");
dojo.require("com.ibm.mashups.enabler.ModifiableLocalized");
dojo.require("com.ibm.mashups.enabler.ModifiableMetaData");
dojo.require("com.ibm.mashups.enabler.widget.PreferencesProvider");
dojo.require("com.ibm.mashups.enabler.widget.ModifiableEventProvider");

//<INTERFACE>
/**
 * Interface for a widget definition.
 *
 * @since 2.4
 *
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.widget.WidgetDefinition", [com.ibm.mashups.enabler.Identifiable, 
                                                                 com.ibm.mashups.enabler.ModifiableLocalized,
                                                                 com.ibm.mashups.enabler.ModifiableMetaData,
                                                                 com.ibm.mashups.enabler.widget.PreferencesProvider,
                                                                 com.ibm.mashups.enabler.widget.ModifiableEventProvider], {
    /**
     * @private
     */
    _type: "definition",
/**
* This method returns an array of supported modes such as &quot;view&quot; and &quot;edit&quot;.
* @return{String[]}  an array of modes this iWidget supports.
*/                
    getSupportedModes:function(){
    }
});
//</INTERFACE>
dojo.require("com.ibm.mm.iwidget.widget.IWidgetDefinitionDefaultImpl");
