/* Copyright IBM Corp. 2010  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.iwidget.widget.ModifiableWireProvider");

dojo.require("com.ibm.mashups.iwidget.widget.WireProvider");

/**
 * Interface defines functions to access handled or published event descriptions.
 * @ibm-spi
 * @ibm-module iWidget
 */
dojo.declare("com.ibm.mashups.iwidget.widget.ModifiableWireProvider", com.ibm.mashups.iwidget.widget.WireProvider, {
    /**
     * @private
     */
    constructor: function(id) {
    
    },
    
    /**
     * @param {String}sourceWidgetId id of the widget that will publish the event
     * @param {String}sourceEventName  name of the event source widget will publish
     * @param {String}targetEventName   name of the event the receiving widget and this event will handle the event published by source widget
     * @type void
     */
    addWire: function(sourceWidgetId, sourceEventName, targetEventName) {
    },
    /**
     * @param {String}sourceWidgetId  id of the widget that will publish the event
     * @param {String}sourceEventName name of the event source widget will publish
     * @param {String}targetEventName name of the event the receiving widget and this event will handle the event published by source widget
     * @type void
     */
    removeWire: function(sourceWidgetId, sourceEventName, targetEventName) {
    }
});
