/* Copyright IBM Corp. 2010  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.iwidget.widget.Wire");

//<INTERFACE>
/**
 * Wire interface defines functions that expose information of a Wire
 * @ibm-spi
 * @ibm-module iWidget
 */
dojo.declare("com.ibm.mashups.iwidget.widget.Wire", null, {
    /**
     * @private
     */
    constructor: function() {
    
    },
    /**
     This method returns id of the source iWidget that's  connected to.
     @type String
     @returns{String }  id of the source iWidget
     */
    getSourceWidgetID: function() {
    
    },
    /**
     This method returns name of the event in the source iWidget.
     @type String
     @returns{String }  name of the source event
     */
    getSourceEventName: function() {
        //summary: This method returns an object that contains instance level attribute items	
    },
    /**
     This method returns id of the source iWidget that's  connected to.
     @type String
     @returns{String }  id of the source iWidget
     */
    getTargetWidgetID: function() {
    
    },
    /**
     This method returns name of the event in the source iWidget
     @type String
     @returns{String }  name of the source event
     */
    getTargetEventName: function() {
        //summary: This method returns an object that contains instance level attribute items	
    }
});
//</INTERFACE>
dojo.require("com.ibm.mm.iwidget.widget.WireImpl");
