/* Copyright IBM Corp. 2010  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.layout.Constants");

/**
 * Constants for the layout model.
 * 
 * @ibm-api
 * @ibm-module CoreModel
 * @since 2.4
 */

dojo.declare("com.ibm.mashups.enabler.layout.Constants", null, {

	/**
	 * Layout control
	 * @type {String}
	 */
	LAYOUT_CONTROL : "LayoutControl",

	/**
	 * Layout container
	 * @private
	 * @type {String}
	 */
	LAYOUT_CONTAINER : "LayoutContainer",
    
    
    /**
     * Context key for widget definition ID
     * @type {String}
     */
    CONTEXT_WIDGET_DEFINITION_ID : "WidgetDefinitionID",
    
    /**
     * Context key for widget definition URL
     * @type {String}
     */    
    CONTEXT_WIDGET_DEFINITION_URL: "WidgetDefinitionURL",
    
    /**
     * Context key for widget definition URL
     * 
     * @private
     * @type {String}
     */    
    CONTEXT_TYPE: "type"    
});

com.ibm.mashups.enabler.layout.Constants = new com.ibm.mashups.enabler.layout.Constants();
