/* Copyright IBM Corp. 2010  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.staticSkin.Factory");

//<INTERFACE>
/**
 * Skin model factory.
 * Please note that the model factory creates only one instance of the model and
 * returns this instance every time the respective get-method is called.
 * 
 * @ibm-module CoreModel
 * @since 2.4
 * @private
 */
dojo.declare("com.ibm.mashups.enabler.model.staticSkin.Factory", null, {
    /**
     * Returns the skin model.
     *
     * @return {com.ibm.mashups.enabler.model.StaticSkinModel} skin model, never <code>null</code>
     */
    getStaticSkinModel: function(){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.model.staticSkin.FactoryImpl");
