/* Copyright IBM Corp. 2010  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.widget.WidgetWindow");

dojo.require("com.ibm.mashups.enabler.Identifiable");
dojo.require("com.ibm.mashups.enabler.widget.PreferencesProvider");
dojo.require("com.ibm.mashups.enabler.widget.ModifiableEventProvider");

/**
 * Interface for a widget window.
 *
 * @since 2.4
 *
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.widget.WidgetWindow", [com.ibm.mashups.enabler.Identifiable,
                                                             com.ibm.mashups.enabler.widget.PreferencesProvider,
                                                             com.ibm.mashups.enabler.widget.ModifiableEventProvider], {
    /**
     * @private
     */
    _type: "window"
});
